Subject: bug#44664: 28.0.50; troubles with some chars in term

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2020 19:27:35 +0200

> Date: Thu, 19 Nov 2020 19:38:04 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> * Eli Zaretskii <[email-masked]> [2020-11-19 19:16]:
> > > #<font-object "-GNU #-FreeMono-normal-normal-normal-*-15-*-*-*-m-0-iso10646-1"
> > 
> > And this is different from the font used for, say, ASCII characters?
> 
> No, same font is appearing everywhere.

And it is the same font as the one used by xterm?

> > > The line is from 2002-03-09 - as I said it cannot be seen.
> > 
> > That mbox file has several email messages where the encoding is either
> > wrongly declared or is not recognized by mutt.  That's a different
> > problem, unrelated to term.el and its handling of fonts.
> 
> I do understand to a degree. I am pointing to the fact that mutt
> handles those characters and in external terminal emulators it looks
> just fine. 

AFAICT, mutt sent some of the characters to Emacs as U+FFFD
REPLACEMENT CHARACTER, so "just fine" is not what I'd call that.

Again, this is unrelated to the issue of alignment of columnar display
in term.el.

> > Bottom line, I'm no longer sure which problems we are discussing here,
> > since we have several unrelated issues involved.  Please consider
> > separating the issues.
> 
> I wish that lines are correctly displayed on terminal emulator screen,
> that is the sole subject.

My point is that "incorrect display" can be caused by several
unrelated problems.